<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>PS2 controller TRX: C:/Users/XW8400/Documents/ps2_ctrl_trx/lib/include/ps2.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">PS2 controller TRX
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('ps2_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ps2.h</div></div>
</div><!--header-->
<div class="contents">
<a href="ps2_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef PS2_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define PS2_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="keyword">extern</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> xdata <a class="code hl_variable" href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a>[32];</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">/* PS2 controller timing configuration - change this if you&#39;re having issues */</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="ps2_8h.html#a4e14d5409408a06437f6095203cf2c08">   13</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DELAY_BYTE                  10</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="ps2_8h.html#ad7e2c4af69020d61f8e78ffb15f22259">   20</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DELAY_PACKET                16</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="ps2_8h.html#a16322cee4bb49e74ec33780b67240c50">   27</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DUR_RECONFIG                                1500</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="comment">/* pin configuration */</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="ps2_8h.html#ab023fd6e98109649ec3234c6bef5c335">   36</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ATT_PxM1                            P1M1</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="ps2_8h.html#a7dded2ddfb4da2bdf8b4308094939a76">   43</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ATT_PxM2                            P1M2</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="ps2_8h.html#a2989c6f2d2cd29410d3315779a8bf7d3">   50</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ATT_Px                              P1</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="ps2_8h.html#a8e5f482a33a2830fbc182c0b8e10a1ed">   57</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ATT_PIN                             1</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="comment">/* macros for interpreting transfer and poll results */</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="ps2_8h.html#a40162d905e67d2ae87ff530d3250fb85">   68</a></span><span class="comment"></span><span class="preprocessor">#define ps2_transfer_mode(ret)          ((ret) &gt;&gt; 4)</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="ps2_8h.html#a08f141f8fe857ef4a6262861ce27b57a">   77</a></span><span class="comment"></span><span class="preprocessor">#define ps2_transfer_words(ret)         ((ret) &amp; 0x0F)</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="comment">/* available PS2 controller modes */</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="ps2_8h.html#a0d3828bf7f32f36d447b8ef424c52672">   86</a></span><span class="comment"></span><span class="preprocessor">#define PS2_MODE_DIGITAL                    0x4</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="ps2_8h.html#a244040281cd857c3952f8a1d6c0fbded">   93</a></span><span class="comment"></span><span class="preprocessor">#define PS2_MODE_ANALOG                     0x7</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="ps2_8h.html#aac25092b266b05c79c82897dc4a17001">  100</a></span><span class="comment"></span><span class="preprocessor">#define PS2_MODE_ESCAPE                     0xF</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span><span class="comment">/* PS2 controller mode configuration */</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="ps2_8h.html#ae5f02a062f7cdd40d2dcdc8c0c596844">  109</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANALOG</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="ps2_8h.html#af7deebac8fffdc754f3b55daa9d2ab60">  116</a></span><span class="comment"></span><span class="preprocessor">#define PS2_RUMBLE</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="ps2_8h.html#a7f3a95aa4d7053822b7d84c94fb5dc88">  123</a></span><span class="comment"></span><span class="preprocessor">#define PS2_PRESSURE</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span><span class="comment">/* macros to interpret poll buffer */</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span><span class="comment">/* button state */</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="ps2_8h.html#a99750cfed06f445832dc7d447dfafdab">  134</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_SELECT                      (!(ps2_buffer[0] &amp; (1 &lt;&lt; 0)))</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="ps2_8h.html#af85674e3fb876c487172bbedca89cb1d">  142</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_L3                              (!(ps2_buffer[0] &amp; (1 &lt;&lt; 1)))</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno"><a class="line" href="ps2_8h.html#ab5b16385ee634a0a2fe7a5ba840ae394">  150</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_R3                              (!(ps2_buffer[0] &amp; (1 &lt;&lt; 2)))</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span> </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno"><a class="line" href="ps2_8h.html#aa9d4f54e76f24a6fe9d80a72d2dfc8b0">  158</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_START                           (!(ps2_buffer[0] &amp; (1 &lt;&lt; 3)))</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno"><a class="line" href="ps2_8h.html#a6c276e2311d2f2649be4eb5c55afc8ec">  166</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_UP                              (!(ps2_buffer[0] &amp; (1 &lt;&lt; 4)))</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span> </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno"><a class="line" href="ps2_8h.html#a03bcfec213337b6d3339ad9900609996">  174</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_RIGHT                           (!(ps2_buffer[0] &amp; (1 &lt;&lt; 5)))</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno"><a class="line" href="ps2_8h.html#acdc6c5fa1bcb2bd59eea47c2fd2f770f">  182</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_DOWN                            (!(ps2_buffer[0] &amp; (1 &lt;&lt; 6)))</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno"><a class="line" href="ps2_8h.html#a4777c9aac999a6cfb4c904f5d0e2fd6a">  190</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_LEFT                            (!(ps2_buffer[0] &amp; (1 &lt;&lt; 7)))</span></div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno"><a class="line" href="ps2_8h.html#a104e757fac8c310c56afbaacca879fc1">  198</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_L2                              (!(ps2_buffer[1] &amp; (1 &lt;&lt; 0)))</span></div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span> </div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno"><a class="line" href="ps2_8h.html#a715eca15a0a081e32ffdccaef6d207cb">  206</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_R2                              (!(ps2_buffer[1] &amp; (1 &lt;&lt; 1)))</span></div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span> </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno"><a class="line" href="ps2_8h.html#adafb583e3b3a1c1328259f3a88f17ab9">  214</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_L1                              (!(ps2_buffer[1] &amp; (1 &lt;&lt; 2)))</span></div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span> </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno"><a class="line" href="ps2_8h.html#ac88c49066a3715f0dc1a448a0c5cb293">  222</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_R1                              (!(ps2_buffer[1] &amp; (1 &lt;&lt; 3)))</span></div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span> </div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno"><a class="line" href="ps2_8h.html#aa14b32adb6b0705d6345ae11b9c78dea">  230</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_TRIANGLE                    (!(ps2_buffer[1] &amp; (1 &lt;&lt; 4)))</span></div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span> </div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno"><a class="line" href="ps2_8h.html#a064d7e9866b1376ad89c67e40ee0a006">  238</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_CIRCLE                      (!(ps2_buffer[1] &amp; (1 &lt;&lt; 5)))</span></div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span> </div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno"><a class="line" href="ps2_8h.html#af8a084112481a2fc742747369e24afa1">  246</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_O                                   PS2_DIG_CIRCLE</span></div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span> </div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno"><a class="line" href="ps2_8h.html#a3fa1a5e28c408eea63213fda205f0eb0">  254</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_CROSS                           (!(ps2_buffer[1] &amp; (1 &lt;&lt; 6)))</span></div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span> </div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno"><a class="line" href="ps2_8h.html#a110fd43cf359448693d61d390588bd9e">  262</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_X                                   PS2_DIG_CROSS</span></div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span> </div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno"><a class="line" href="ps2_8h.html#aa87e446c5787c70add5ff399d7933f97">  270</a></span><span class="comment"></span><span class="preprocessor">#define PS2_DIG_SQUARE                      (!(ps2_buffer[1] &amp; (1 &lt;&lt; 7)))</span></div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span> </div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span><span class="preprocessor">#ifdef PS2_ANALOG</span></div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span><span class="comment">/* joystick readouts */</span></div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span> </div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno"><a class="line" href="ps2_8h.html#a227480bb25059ff85eb33f514e6d5e62">  281</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_RX                              ps2_buffer[2]</span></div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span> </div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno"><a class="line" href="ps2_8h.html#a874a8989ed49831329b98292d170cdec">  289</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_RY                              ps2_buffer[3]</span></div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span> </div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno"><a class="line" href="ps2_8h.html#a4c7e20e23364b4fb8baa69a875a2d474">  297</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_LX                              ps2_buffer[4]</span></div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span> </div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno"><a class="line" href="ps2_8h.html#aaa5fc3a50f62979d4373e1f91dce09ac">  305</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_LY                              ps2_buffer[5]</span></div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span><span class="comment">/* pressure readings */</span></div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span> </div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno"><a class="line" href="ps2_8h.html#ab17169ff31c74f64616838c4bede3209">  314</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_RIGHT                           ps2_buffer[6]</span></div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span> </div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00322" name="l00322"></a><span class="lineno"><a class="line" href="ps2_8h.html#a7a9fc498dd6f20c924e1a53443822035">  322</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_LEFT                            ps2_buffer[7]</span></div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span> </div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno"><a class="line" href="ps2_8h.html#a1a43d2a62e1504d65a26a1192b189187">  330</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_UP                              ps2_buffer[8]</span></div>
<div class="line"><a id="l00331" name="l00331"></a><span class="lineno">  331</span> </div>
<div class="line"><a id="l00332" name="l00332"></a><span class="lineno">  332</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00338" name="l00338"></a><span class="lineno"><a class="line" href="ps2_8h.html#ac9cb099d20fada7b5ea614e911b8ba6d">  338</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_DOWN                            ps2_buffer[9]</span></div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno">  339</span> </div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00346" name="l00346"></a><span class="lineno"><a class="line" href="ps2_8h.html#a97b62d34362de166a89ca01517b3ff22">  346</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_TRIANGLE                    ps2_buffer[10]</span></div>
<div class="line"><a id="l00347" name="l00347"></a><span class="lineno">  347</span> </div>
<div class="line"><a id="l00348" name="l00348"></a><span class="lineno">  348</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00354" name="l00354"></a><span class="lineno"><a class="line" href="ps2_8h.html#aaca89ba624bfbd4efa9dfafa5780df3f">  354</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_CIRCLE                      ps2_buffer[11]</span></div>
<div class="line"><a id="l00355" name="l00355"></a><span class="lineno">  355</span> </div>
<div class="line"><a id="l00356" name="l00356"></a><span class="lineno">  356</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00362" name="l00362"></a><span class="lineno"><a class="line" href="ps2_8h.html#a230efd50e84a3334b4c83fae1d54506c">  362</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_O                                   PS2_ANA_CIRCLE</span></div>
<div class="line"><a id="l00363" name="l00363"></a><span class="lineno">  363</span> </div>
<div class="line"><a id="l00364" name="l00364"></a><span class="lineno">  364</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00370" name="l00370"></a><span class="lineno"><a class="line" href="ps2_8h.html#ab34eba7232e5586a6d4d0f40c39387bf">  370</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_CROSS                           ps2_buffer[12]</span></div>
<div class="line"><a id="l00371" name="l00371"></a><span class="lineno">  371</span> </div>
<div class="line"><a id="l00372" name="l00372"></a><span class="lineno">  372</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00378" name="l00378"></a><span class="lineno"><a class="line" href="ps2_8h.html#a0e417040a3dc05790f5389f779545e97">  378</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_X                                   PS2_ANA_CIRCLE</span></div>
<div class="line"><a id="l00379" name="l00379"></a><span class="lineno">  379</span> </div>
<div class="line"><a id="l00380" name="l00380"></a><span class="lineno">  380</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00386" name="l00386"></a><span class="lineno"><a class="line" href="ps2_8h.html#ab576d6c66099330fd7713ca0aa8d2007">  386</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_SQUARE                      ps2_buffer[13]</span></div>
<div class="line"><a id="l00387" name="l00387"></a><span class="lineno">  387</span> </div>
<div class="line"><a id="l00388" name="l00388"></a><span class="lineno">  388</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00394" name="l00394"></a><span class="lineno"><a class="line" href="ps2_8h.html#a27f6ddba9beab51125060fbb93129eae">  394</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_L2                              ps2_buffer[14]</span></div>
<div class="line"><a id="l00395" name="l00395"></a><span class="lineno">  395</span> </div>
<div class="line"><a id="l00396" name="l00396"></a><span class="lineno">  396</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00402" name="l00402"></a><span class="lineno"><a class="line" href="ps2_8h.html#a95839095122fd3a17cfd40d20ab8003d">  402</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_R2                              ps2_buffer[15]</span></div>
<div class="line"><a id="l00403" name="l00403"></a><span class="lineno">  403</span> </div>
<div class="line"><a id="l00404" name="l00404"></a><span class="lineno">  404</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00410" name="l00410"></a><span class="lineno"><a class="line" href="ps2_8h.html#ace90630d75c1ae4da3fb05d54993947a">  410</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_L1                              ps2_buffer[16]</span></div>
<div class="line"><a id="l00411" name="l00411"></a><span class="lineno">  411</span> </div>
<div class="line"><a id="l00412" name="l00412"></a><span class="lineno">  412</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00418" name="l00418"></a><span class="lineno"><a class="line" href="ps2_8h.html#a459722a53b10c3a66872e25aad0d4f08">  418</a></span><span class="comment"></span><span class="preprocessor">#define PS2_ANA_R1                              ps2_buffer[17]</span></div>
<div class="line"><a id="l00419" name="l00419"></a><span class="lineno">  419</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00420" name="l00420"></a><span class="lineno">  420</span> </div>
<div class="line"><a id="l00421" name="l00421"></a><span class="lineno">  421</span><span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code hl_function" href="ps2_8h.html#aeb8d49f2e480fd8c547f2d0a0850854a">ps2_transfer</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> cmd);</div>
<div class="line"><a id="l00422" name="l00422"></a><span class="lineno">  422</span><span class="keywordtype">char</span> <a class="code hl_function" href="ps2_8h.html#a462521bb00ff2b45b3877478d84a5964">ps2_init</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00423" name="l00423"></a><span class="lineno">  423</span><span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code hl_function" href="ps2_8h.html#a554d47f381d48b1f2495ccbfd36d2f0b">ps2_poll</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00424" name="l00424"></a><span class="lineno">  424</span> </div>
<div class="line"><a id="l00425" name="l00425"></a><span class="lineno">  425</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aps2_8h_html_a462521bb00ff2b45b3877478d84a5964"><div class="ttname"><a href="ps2_8h.html#a462521bb00ff2b45b3877478d84a5964">ps2_init</a></div><div class="ttdeci">char ps2_init(void)</div><div class="ttdoc">Initialize PS2 controller.</div><div class="ttdef"><b>Definition:</b> ps2.c:131</div></div>
<div class="ttc" id="aps2_8h_html_a554d47f381d48b1f2495ccbfd36d2f0b"><div class="ttname"><a href="ps2_8h.html#a554d47f381d48b1f2495ccbfd36d2f0b">ps2_poll</a></div><div class="ttdeci">unsigned char ps2_poll(void)</div><div class="ttdoc">Poll readings from the PS2 controller.</div><div class="ttdef"><b>Definition:</b> ps2.c:158</div></div>
<div class="ttc" id="aps2_8h_html_a75414ce13947efc20f73a711eb6fa246"><div class="ttname"><a href="ps2_8h.html#a75414ce13947efc20f73a711eb6fa246">ps2_buffer</a></div><div class="ttdeci">unsigned char xdata ps2_buffer[32]</div><div class="ttdoc">PS2 controller packet payload I/O buffer (read and written back by ps2_transfer)</div><div class="ttdef"><b>Definition:</b> ps2.c:17</div></div>
<div class="ttc" id="aps2_8h_html_aeb8d49f2e480fd8c547f2d0a0850854a"><div class="ttname"><a href="ps2_8h.html#aeb8d49f2e480fd8c547f2d0a0850854a">ps2_transfer</a></div><div class="ttdeci">unsigned char ps2_transfer(unsigned char cmd)</div><div class="ttdoc">Transfer a packet with the PS2 controller (packet payload is stored in ps2_buffer)</div><div class="ttdef"><b>Definition:</b> ps2.c:51</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b116ddd94a245d490f1483cfe96d55a6.html">ps2_ctrl_trx</a></li><li class="navelem"><a class="el" href="dir_1a84bb234c89b52eac6ccacceb8c95a3.html">lib</a></li><li class="navelem"><a class="el" href="dir_fa75ccbeaa2e37b9dd3999ea62d2e5d8.html">include</a></li><li class="navelem"><a class="el" href="ps2_8h.html">ps2.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6 </li>
  </ul>
</div>
</body>
</html>
